<div th:if="${errors!=null and errors.hasErrors()}" th:include="commons/modal::single(id='errorModal', title=#{Error report}, content=~{::content})" xmlns:th="http://www.thymeleaf.org">
    <div th:fragment="content">
        <span th:text="#{Form specifications could not be saved for the following reasons :}"></span>
        <table class="table table-stripped table-condensed ">
            <tr>
                <th>Type d'erreur</th>
                <th>Cause</th>
            </tr>
            <tr th:if="${errors.hasGlobalErrors()}">
                <td class="col-md-4"></td>
                <td>
                    <ul>
                        <li th:each="global : ${errors.getGlobalErrors()}" th:text="${global.message}"></li>
                    </ul>
                </td>
            </tr>
            <tr th:if="${errors.hasObjectErrors()}" th:each="obj : ${errors.objects}">
                <td class="col-md-4">
                    <span th:text="${obj}"></span>
                </td>
                <td>
                    <ul>
                        <li th:each="objectError : ${errors.getObjectErrors(obj)}" th:text="${objectError.message}"></li>
                    </ul>
                </td>
            </tr>
        </table>
    </div>
</div>
